############################
The :mod:`gen.plug` Module
############################

Contents:

.. automodule:: gen.plug

*****************************
Plugins objects
*****************************

Plugin
====================================
.. automodule:: gen.plug
.. autoclass:: gen.plug.Plugin
   :members:
   :undoc-members:
   :show-inheritance:

BaseManager
====================================
.. automodule:: gen.plug
.. autoclass:: gen.plug.BasePluginManager
   :members:
   :undoc-members:
   :show-inheritance:

Docgen
====================================
.. automodule:: gen.plug
.. autoclass:: gen.plug.DocGenPlugin
   :members:
   :undoc-members:
   :show-inheritance:

Export
====================================
.. automodule:: gen.plug
.. autoclass:: gen.plug.ExportPlugin
   :members:
   :undoc-members:
   :show-inheritance:

Gramplet
====================================
.. automodule:: gen.plug
.. autoclass:: gen.plug.Gramplet
   :members:
   :undoc-members:
   :show-inheritance:

Import
====================================
.. automodule:: gen.plug
.. autoclass:: gen.plug.ImportPlugin
   :members:
   :undoc-members:
   :show-inheritance:

Options
====================================
.. automodule:: gen.plug
.. autoclass:: gen.plug.Options
   :members:
   :undoc-members:
   :show-inheritance:

Register
====================================
.. automodule:: gen.plug
.. autoclass:: gen.plug.PluginRegister
   :members:
   :undoc-members:
   :show-inheritance:

Utils
====================================
.. automodule:: gen.plug
   :members:
   :undoc-members:
   :show-inheritance:

Docbackend
====================================
.. automodule:: gen.plug.docbackend
   :members:
   :undoc-members:
   :show-inheritance:

**TODO**

DocGen
====================================
.. automodule:: gen.plug.docgen
   :members:
   :undoc-members:
   :show-inheritance:

**TODO**

Menu
====================================
.. automodule:: gen.plug.menu
   :members:
   :undoc-members:
   :show-inheritance:

**TODO**

Report
====================================
.. automodule:: gen.plug.report
   :members:
   :undoc-members:
   :show-inheritance:

**TODO**

